# SPDX-FileCopyrightText: 2026 Stan Grams <sjg@haxx.space>
#
# SPDX-License-Identifier: GPL-2.0-or-later

[package]
name = "trx-configurator"
version.workspace = true
edition = "2021"

[[bin]]
name = "trx-configurator"
path = "src/main.rs"

[dependencies]
clap = { workspace = true, features = ["derive"] }
dialoguer = "0.11"
tokio-serial = { workspace = true }
toml_edit = "0.22"

[dev-dependencies]
tempfile = "3"
